// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/PreGazzetta.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class PreGazzetta extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inNota = 2;
  public static final int inMrkPre = 4;
  public static final int inFormatoGrafico = 6;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\267\u0200\10\u0500"+
    "\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\5\22\0\1\6"+
    "\5\0\1\7\6\0\1\10\1\11\1\12\1\13\1\14"+
    "\10\15\1\16\1\17\1\20\1\0\1\21\2\0\1\22"+
    "\1\23\1\24\1\25\1\26\1\27\1\30\1\31\1\32"+
    "\2\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42"+
    "\1\43\1\44\1\45\1\46\1\33\1\47\1\33\1\50"+
    "\1\0\1\51\2\0\1\52\1\0\1\53\1\23\1\24"+
    "\1\25\1\54\1\27\1\30\1\31\1\55\2\33\1\34"+
    "\1\35\1\36\1\37\1\40\1\41\1\42\1\43\1\44"+
    "\1\45\1\46\1\33\1\47\1\33\1\50\12\0\1\3"+
    "\72\0\6\56\1\0\11\56\1\0\6\56\2\0\4\56"+
    "\3\0\6\56\1\0\11\56\1\0\6\56\2\0\4\56"+
    "\53\0\2\56\6\0\2\57\66\0\2\56\4\0\2\56"+
    "\17\0\1\60\u0188\0\2\56\216\0\2\56\42\0\2\56"+
    "\104\0\1\1\20\0\2\52\23\0\2\3\326\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\11\0\1\1\2\2\10\1\3\3\2\4\2\5\2\6"+
    "\2\5\22\0\1\2\25\0\1\6\311\0\1\7\221\0"+
    "\2\10\37\0\4\11\12\0\1\4\222\0\1\12\u0110\0"+
    "\1\13\4\0\2\14\11\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[902];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\61\0\142\0\223\0\304\0\365\0\u0126\0\u0157"+
    "\0\u0188\0\u01b9\0\u01ea\0\u021b\0\u024c\0\u027d\0\u02ae\0\u02df"+
    "\0\u0310\0\u0341\0\u0372\0\u03a3\0\u01b9\0\u03d4\0\u0405\0\u01b9"+
    "\0\u0436\0\u01b9\0\u0467\0\u01b9\0\u0498\0\u04c9\0\u04fa\0\u01b9"+
    "\0\u052b\0\u055c\0\u058d\0\u05be\0\u05ef\0\u0620\0\u0651\0\u0682"+
    "\0\u06b3\0\u06e4\0\u0715\0\u0746\0\u0777\0\u07a8\0\u07d9\0\u080a"+
    "\0\u083b\0\u086c\0\u089d\0\u027d\0\u02ae\0\u02df\0\u0310\0\u0341"+
    "\0\u0372\0\u03a3\0\u08ce\0\u08ff\0\u0930\0\u0961\0\u0992\0\u09c3"+
    "\0\u09f4\0\u0a25\0\u0a56\0\u0a87\0\u0ab8\0\u03d4\0\u0ae9\0\u03d4"+
    "\0\u0b1a\0\u0467\0\u04c9\0\u04fa\0\u0b4b\0\u0b7c\0\u0bad\0\u0bde"+
    "\0\u0c0f\0\u0c40\0\u0c71\0\u0ca2\0\u0cd3\0\u0d04\0\u0d35\0\u0d66"+
    "\0\u0d97\0\u0dc8\0\u0df9\0\u0e2a\0\u0e5b\0\u0e8c\0\u0ebd\0\u0eee"+
    "\0\u0f1f\0\u0f50\0\u0f81\0\u0fb2\0\u0fe3\0\u1014\0\u1045\0\u1076"+
    "\0\u10a7\0\u10d8\0\u1109\0\u113a\0\u116b\0\u119c\0\u11cd\0\u11fe"+
    "\0\u122f\0\u1260\0\u1291\0\u12c2\0\u12f3\0\u1324\0\u1355\0\u1386"+
    "\0\u13b7\0\u13e8\0\u1419\0\u144a\0\u147b\0\u14ac\0\u14dd\0\u150e"+
    "\0\u153f\0\u1570\0\u15a1\0\u15d2\0\u1603\0\u1634\0\u1665\0\u1696"+
    "\0\u16c7\0\u16f8\0\u1729\0\u175a\0\u178b\0\u17bc\0\u17ed\0\u181e"+
    "\0\u184f\0\u1880\0\u18b1\0\u18e2\0\u1913\0\u1944\0\u1975\0\u19a6"+
    "\0\u19d7\0\u1a08\0\u1a39\0\u1a6a\0\u1a9b\0\u1acc\0\u1afd\0\u1b2e"+
    "\0\u1b5f\0\u1b90\0\u1bc1\0\u1bf2\0\u1c23\0\u1c54\0\u1c85\0\u1cb6"+
    "\0\u1ce7\0\u1d18\0\u1d49\0\u1d7a\0\u1dab\0\u1ddc\0\u1e0d\0\u1e3e"+
    "\0\u1e6f\0\u1ea0\0\u1ed1\0\u1f02\0\u1f33\0\u1f64\0\u1f95\0\u1fc6"+
    "\0\u1ff7\0\u2028\0\u2059\0\u208a\0\u20bb\0\u20ec\0\u211d\0\u214e"+
    "\0\u217f\0\u21b0\0\u21e1\0\u2212\0\u2243\0\u2274\0\u22a5\0\u22d6"+
    "\0\u2307\0\u2338\0\u2369\0\u239a\0\u23cb\0\u23fc\0\u242d\0\u245e"+
    "\0\u248f\0\u24c0\0\u24f1\0\u2522\0\u2553\0\u2584\0\u25b5\0\u25e6"+
    "\0\u2617\0\u2648\0\u2679\0\u26aa\0\u26db\0\u270c\0\u273d\0\u276e"+
    "\0\u279f\0\u27d0\0\u2801\0\u2832\0\u2863\0\u2894\0\u28c5\0\u28f6"+
    "\0\u2927\0\u2958\0\u2989\0\u29ba\0\u29eb\0\u2a1c\0\u2a4d\0\u2a7e"+
    "\0\u2aaf\0\u2ae0\0\u2b11\0\u2b42\0\u2b73\0\u2ba4\0\u2bd5\0\u2c06"+
    "\0\u2c37\0\u2c68\0\u2c99\0\u2cca\0\u2cfb\0\u2d2c\0\u2d5d\0\u2d8e"+
    "\0\u2dbf\0\u2df0\0\u2e21\0\u2e52\0\u2e83\0\u2eb4\0\u2ee5\0\u2f16"+
    "\0\u2f47\0\u2f78\0\u2fa9\0\u2fda\0\u300b\0\u303c\0\u306d\0\u309e"+
    "\0\u30cf\0\u01b9\0\u3100\0\u3131\0\u3162\0\u3193\0\u31c4\0\u31f5"+
    "\0\u3226\0\u3257\0\u3288\0\u32b9\0\u32ea\0\u331b\0\u334c\0\u337d"+
    "\0\u33ae\0\u33df\0\u3410\0\u3441\0\u3472\0\u34a3\0\u34d4\0\u3505"+
    "\0\u2df0\0\u3536\0\u3567\0\u3598\0\u35c9\0\u35fa\0\u362b\0\u365c"+
    "\0\u368d\0\u36be\0\u36ef\0\u3720\0\u3751\0\u3782\0\u37b3\0\u37e4"+
    "\0\u3815\0\u3846\0\u3877\0\u38a8\0\u38d9\0\u390a\0\u393b\0\u396c"+
    "\0\u399d\0\u39ce\0\u39ff\0\u3a30\0\u3a61\0\u3a92\0\u3ac3\0\u3af4"+
    "\0\u3b25\0\u3b56\0\u3b87\0\u3bb8\0\u3be9\0\u3c1a\0\u3c4b\0\u3c7c"+
    "\0\u3cad\0\u3cde\0\u3d0f\0\u3d40\0\u3d71\0\u3da2\0\u3dd3\0\u3e04"+
    "\0\u3e35\0\u3e66\0\u3e97\0\u3ec8\0\u3ef9\0\u3f2a\0\u3f5b\0\u3f8c"+
    "\0\u3fbd\0\u3fee\0\u401f\0\u4050\0\u4081\0\u40b2\0\u40e3\0\u4114"+
    "\0\u4145\0\u4176\0\u41a7\0\u41d8\0\u4209\0\u423a\0\u426b\0\u429c"+
    "\0\u42cd\0\u42fe\0\u432f\0\u4360\0\u4391\0\u43c2\0\u43f3\0\u4424"+
    "\0\u4455\0\u4486\0\u44b7\0\u44e8\0\u4519\0\u454a\0\u457b\0\u45ac"+
    "\0\u45dd\0\u460e\0\u463f\0\u4670\0\u46a1\0\u46d2\0\u4703\0\u4734"+
    "\0\u4765\0\u4796\0\u47c7\0\u47f8\0\u4829\0\u485a\0\u488b\0\u48bc"+
    "\0\u48ed\0\u491e\0\u494f\0\u4980\0\u49b1\0\u49e2\0\u4a13\0\u4a44"+
    "\0\u4a75\0\u4aa6\0\u4ad7\0\u4b08\0\u4b39\0\u4b6a\0\u4b9b\0\u4bcc"+
    "\0\u4bfd\0\u4c2e\0\u4c5f\0\u01b9\0\u4c90\0\u4cc1\0\u4cf2\0\u4d23"+
    "\0\u4d54\0\u4d85\0\u4db6\0\u4de7\0\u4e18\0\u4e49\0\u4e7a\0\u4eab"+
    "\0\u4edc\0\u4f0d\0\u4f3e\0\u4f6f\0\u4fa0\0\u4fd1\0\u5002\0\u5033"+
    "\0\u5064\0\u5095\0\u50c6\0\u50f7\0\u5128\0\u5159\0\u518a\0\u51bb"+
    "\0\u51ec\0\u521d\0\u524e\0\u527f\0\u3226\0\u01b9\0\u52b0\0\u32ea"+
    "\0\u52e1\0\u5312\0\u5343\0\u5374\0\u53a5\0\u53d6\0\u5407\0\u5438"+
    "\0\u5469\0\u549a\0\u54cb\0\u54fc\0\u552d\0\u555e\0\u558f\0\u55c0"+
    "\0\u55f1\0\u5622\0\u5653\0\u5684\0\u56b5\0\u56e6\0\u5717\0\u5748"+
    "\0\u5779\0\u57aa\0\u57db\0\u580c\0\u583d\0\u586e\0\u589f\0\u58d0"+
    "\0\u5901\0\u5932\0\u5963\0\u5994\0\u59c5\0\u59f6\0\u5a27\0\u5a58"+
    "\0\u5a89\0\u5aba\0\u5aeb\0\u5b1c\0\u5b4d\0\u5b7e\0\u5baf\0\u5be0"+
    "\0\u5c11\0\u5c42\0\u5c73\0\u5ca4\0\u5cd5\0\u5d06\0\u5d37\0\u5d68"+
    "\0\u5d99\0\u5dca\0\u5dfb\0\u5e2c\0\u5e5d\0\u5e8e\0\u5ebf\0\u5ef0"+
    "\0\u5f21\0\u5f52\0\u5f83\0\u5fb4\0\u5fe5\0\u6016\0\u6047\0\u6078"+
    "\0\u60a9\0\u60da\0\u610b\0\u613c\0\u616d\0\u619e\0\u61cf\0\u6200"+
    "\0\u6231\0\u6262\0\u6293\0\u62c4\0\u62f5\0\u6326\0\u6357\0\u6388"+
    "\0\u63b9\0\u63ea\0\u641b\0\u644c\0\u647d\0\u64ae\0\u64df\0\u6510"+
    "\0\u6541\0\u6572\0\u65a3\0\u65d4\0\u6605\0\u6636\0\u6667\0\u6698"+
    "\0\u66c9\0\u66fa\0\u672b\0\u675c\0\u678d\0\u67be\0\u67ef\0\u6820"+
    "\0\u6851\0\u6882\0\u68b3\0\u68e4\0\u6915\0\u6946\0\u6977\0\u69a8"+
    "\0\u69d9\0\u6a0a\0\u6a3b\0\u6a6c\0\u6a9d\0\u6ace\0\u6aff\0\u6b30"+
    "\0\u6b61\0\u6b92\0\u6bc3\0\u6bf4\0\u6c25\0\u6c56\0\u6c87\0\u6cb8"+
    "\0\u6ce9\0\u6d1a\0\u6d4b\0\u6d7c\0\u6dad\0\u6dde\0\u6e0f\0\u6e40"+
    "\0\u6e71\0\u6ea2\0\u6ed3\0\u6f04\0\u6f35\0\u6f66\0\u6f97\0\u6fc8"+
    "\0\u6ff9\0\u702a\0\u705b\0\u708c\0\u70bd\0\u01b9\0\u70ee\0\u711f"+
    "\0\u7150\0\u7181\0\u71b2\0\u71e3\0\u7214\0\u7245\0\u7276\0\u72a7"+
    "\0\u72d8\0\u7309\0\u733a\0\u736b\0\u739c\0\u73cd\0\u73fe\0\u742f"+
    "\0\u7460\0\u7491\0\u74c2\0\u74f3\0\u7524\0\u7555\0\u7586\0\u75b7"+
    "\0\u75e8\0\u7619\0\u764a\0\u767b\0\u76ac\0\u76dd\0\u770e\0\u773f"+
    "\0\u7770\0\u77a1\0\u77d2\0\u7803\0\u7834\0\u7865\0\u7896\0\u78c7"+
    "\0\u78f8\0\u7929\0\u795a\0\u798b\0\u79bc\0\u79ed\0\u7a1e\0\u7a4f"+
    "\0\u7a80\0\u7ab1\0\u7ae2\0\u7b13\0\u7b44\0\u7b75\0\u7ba6\0\u7bd7"+
    "\0\u7c08\0\u7c39\0\u7c6a\0\u7c9b\0\u7ccc\0\u7cfd\0\u7d2e\0\u7d5f"+
    "\0\u7d90\0\u7dc1\0\u7df2\0\u7e23\0\u7e54\0\u7e85\0\u7eb6\0\u7ee7"+
    "\0\u7f18\0\u7f49\0\u7f7a\0\u7fab\0\u7fdc\0\u800d\0\u803e\0\u806f"+
    "\0\u80a0\0\u80d1\0\u8102\0\u8133\0\u8164\0\u8195\0\u81c6\0\u81f7"+
    "\0\u8228\0\u8259\0\u828a\0\u82bb\0\u82ec\0\u831d\0\u834e\0\u837f"+
    "\0\u83b0\0\u83e1\0\u8412\0\u8443\0\u8474\0\u84a5\0\u84d6\0\u8507"+
    "\0\u8538\0\u8569\0\u859a\0\u85cb\0\u85fc\0\u862d\0\u865e\0\u868f"+
    "\0\u86c0\0\u86f1\0\u8722\0\u8753\0\u8784\0\u87b5\0\u87e6\0\u8817"+
    "\0\u8848\0\u8879\0\u88aa\0\u88db\0\u890c\0\u893d\0\u896e\0\u899f"+
    "\0\u89d0\0\u8a01\0\u8a32\0\u8a63\0\u8a94\0\u8ac5\0\u8af6\0\u8b27"+
    "\0\u8b58\0\u8b89\0\u8bba\0\u8beb\0\u8c1c\0\u8c4d\0\u8c7e\0\u8caf"+
    "\0\u8ce0\0\u8d11\0\u8d42\0\u8d73\0\u8da4\0\u8dd5\0\u8e06\0\u8e37"+
    "\0\u8e68\0\u8e99\0\u8eca\0\u8efb\0\u8f2c\0\u8f5d\0\u8f8e\0\u8fbf"+
    "\0\u8ff0\0\u9021\0\u9052\0\u9083\0\u90b4\0\u90e5\0\u9116\0\u9147"+
    "\0\u9178\0\u91a9\0\u91da\0\u920b\0\u923c\0\u926d\0\u929e\0\u92cf"+
    "\0\u9300\0\u9331\0\u9362\0\u9393\0\u93c4\0\u93f5\0\u9426\0\u9457"+
    "\0\u9488\0\u94b9\0\u94ea\0\u951b\0\u954c\0\u957d\0\u95ae\0\u95df"+
    "\0\u9610\0\u9641\0\u9672\0\u96a3\0\u96d4\0\u9705\0\u9736\0\u9767"+
    "\0\u9798\0\u97c9\0\u97fa\0\u982b\0\u985c\0\u988d\0\u98be\0\u98ef"+
    "\0\u9920\0\u9951\0\u9982\0\u99b3\0\u99e4\0\u9a15\0\u9a46\0\u9a77"+
    "\0\u9aa8\0\u9ad9\0\u9b0a\0\u9b3b\0\u9b6c\0\u9b9d\0\u9bce\0\u9bff"+
    "\0\u9c30\0\u9c61\0\u9c92\0\u9cc3\0\u9cf4\0\u9d25\0\u9d56\0\u9d87"+
    "\0\u9db8\0\u9de9\0\u9e1a\0\u9e4b\0\u9e7c\0\u9ead\0\u9ede\0\u9f0f"+
    "\0\u9f40\0\u9f71\0\u9fa2\0\u9fd3\0\ua004\0\ua035\0\ua066\0\ua097"+
    "\0\ua0c8\0\ua0f9\0\ua12a\0\ua15b\0\ua18c\0\ua1bd\0\ua1ee\0\ua21f"+
    "\0\ua250\0\ua281\0\ua2b2\0\ua2e3\0\ua314\0\ua345\0\ua376\0\ua3a7"+
    "\0\ua3d8\0\ua409\0\ua43a\0\ua46b\0\ua49c\0\ua4cd\0\ua4fe\0\ua52f"+
    "\0\ua560\0\ua591\0\ua5c2\0\u01b9\0\ua5f3\0\ua624\0\ua655\0\ua686"+
    "\0\ua6b7\0\ua6e8\0\ua719\0\ua74a\0\ua77b\0\ua7ac";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[902];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\2\12\1\13\2\12\1\14\12\12\1\15\41\12\1\16"+
    "\1\13\1\12\1\16\1\14\1\16\1\17\1\20\7\12"+
    "\1\15\1\12\1\21\2\12\1\22\1\23\11\12\1\24"+
    "\11\12\1\20\1\21\1\23\4\12\2\25\1\26\2\25"+
    "\1\27\53\25\20\30\1\31\40\30\1\32\1\33\1\34"+
    "\1\32\1\33\1\35\1\33\1\36\30\32\1\37\20\32"+
    "\2\0\1\40\2\0\1\41\55\0\1\42\2\0\1\43"+
    "\54\0\1\10\2\0\1\10\1\0\1\10\1\44\12\0"+
    "\1\45\2\0\1\46\1\47\11\0\1\50\12\0\1\45"+
    "\1\47\4\0\2\51\1\52\10\51\3\0\4\51\15\0"+
    "\1\53\11\0\2\51\4\0\2\51\62\0\1\54\1\55"+
    "\1\0\1\54\1\56\1\57\1\60\30\0\1\61\21\0"+
    "\1\54\1\62\1\0\1\54\1\56\1\57\1\60\30\0"+
    "\1\61\51\0\1\63\30\0\1\64\2\0\1\64\1\0"+
    "\1\64\1\65\1\66\11\0\1\67\2\0\1\70\1\71"+
    "\11\0\1\72\11\0\1\66\1\67\1\71\42\0\1\73"+
    "\32\0\1\74\41\0\1\74\14\0\1\75\16\0\1\76"+
    "\41\0\1\77\17\0\1\100\3\0\1\101\21\0\1\100"+
    "\1\101\1\0\1\101\7\0\1\102\26\0\1\103\31\0"+
    "\1\104\33\0\1\105\17\0\1\106\1\34\1\0\1\106"+
    "\1\35\1\106\1\107\52\0\1\106\1\110\1\0\1\106"+
    "\1\35\1\106\1\107\63\0\1\111\47\0\1\112\2\0"+
    "\1\112\1\0\1\112\1\113\30\0\1\114\22\0\1\34"+
    "\114\0\1\115\44\0\1\116\30\0\1\116\7\0\1\40"+
    "\57\0\1\43\2\0\3\43\10\0\1\117\17\0\1\120"+
    "\22\0\1\43\2\0\1\43\1\0\1\43\10\0\1\117"+
    "\17\0\1\120\57\0\1\121\30\0\1\122\16\0\1\123"+
    "\41\0\1\124\17\0\1\125\3\0\1\126\21\0\1\125"+
    "\1\126\1\0\1\126\7\0\1\127\26\0\1\130\31\0"+
    "\1\131\33\0\1\132\32\0\1\133\51\0\1\51\6\0"+
    "\1\133\70\0\1\134\35\0\1\54\1\55\1\0\1\54"+
    "\1\56\1\54\1\60\30\0\1\61\26\0\1\135\54\0"+
    "\1\55\3\0\1\135\53\0\1\54\1\55\1\0\1\54"+
    "\1\56\1\136\1\60\30\0\1\61\56\0\1\137\44\0"+
    "\1\140\30\0\1\140\6\0\1\54\1\55\1\0\1\54"+
    "\1\56\1\141\1\60\30\0\1\61\36\0\1\142\65\0"+
    "\1\143\45\0\1\144\41\0\1\144\33\0\1\76\41\0"+
    "\1\145\30\0\1\146\47\0\1\100\3\0\1\101\21\0"+
    "\1\100\1\101\1\0\1\101\7\0\1\147\15\0\1\150"+
    "\7\0\1\151\7\0\1\152\22\0\1\153\34\0\1\154"+
    "\14\0\1\154\35\0\1\103\31\0\1\155\13\0\1\156"+
    "\30\0\1\156\47\0\1\105\24\0\1\157\30\0\1\160"+
    "\57\0\1\161\53\0\1\162\52\0\1\163\77\0\1\164"+
    "\56\0\1\165\44\0\1\166\57\0\1\167\62\0\1\123"+
    "\41\0\1\170\30\0\1\171\47\0\1\125\3\0\1\126"+
    "\21\0\1\125\1\126\1\0\1\126\7\0\1\172\15\0"+
    "\1\173\7\0\1\174\7\0\1\175\22\0\1\176\34\0"+
    "\1\177\14\0\1\177\35\0\1\130\31\0\1\200\13\0"+
    "\1\201\30\0\1\201\47\0\1\132\24\0\1\202\30\0"+
    "\1\203\22\0\1\133\2\0\1\133\1\0\1\204\2\0"+
    "\1\205\5\0\1\206\17\0\1\207\53\0\1\210\22\0"+
    "\1\210\1\0\1\210\7\0\1\211\53\0\1\54\1\55"+
    "\1\0\1\54\1\56\1\212\1\60\30\0\1\61\43\0"+
    "\1\213\77\0\1\214\17\0\1\54\1\55\1\0\1\54"+
    "\1\56\1\215\1\60\30\0\1\61\60\0\1\216\63\0"+
    "\1\217\14\0\1\217\10\0\1\220\41\0\1\220\45\0"+
    "\1\146\27\0\1\221\35\0\1\222\40\0\1\150\7\0"+
    "\1\151\7\0\1\152\22\0\1\223\33\0\1\224\24\0"+
    "\1\225\23\0\1\226\22\0\1\226\1\0\1\226\7\0"+
    "\1\227\17\0\1\230\25\0\1\230\47\0\1\154\14\0"+
    "\1\154\6\0\1\231\31\0\1\232\42\0\1\156\30\0"+
    "\1\156\13\0\1\233\27\0\1\234\61\0\1\160\27\0"+
    "\1\235\26\0\1\236\46\0\1\237\53\0\1\240\105\0"+
    "\1\241\14\0\1\241\44\0\1\242\57\0\1\243\14\0"+
    "\1\243\32\0\1\244\22\0\1\244\1\0\1\244\44\0"+
    "\1\245\14\0\1\245\37\0\1\171\27\0\1\246\35\0"+
    "\1\247\40\0\1\173\7\0\1\174\7\0\1\175\22\0"+
    "\1\250\33\0\1\251\24\0\1\252\23\0\1\253\22\0"+
    "\1\253\1\0\1\253\7\0\1\254\17\0\1\255\25\0"+
    "\1\255\47\0\1\177\14\0\1\177\6\0\1\256\31\0"+
    "\1\257\42\0\1\201\30\0\1\201\13\0\1\260\27\0"+
    "\1\261\61\0\1\203\27\0\1\262\26\0\1\263\24\0"+
    "\1\133\2\0\1\133\1\0\1\204\2\0\1\205\5\0"+
    "\1\206\17\0\1\207\4\0\1\264\60\0\1\264\54\0"+
    "\1\265\54\0\1\266\62\0\1\267\30\0\1\270\53\0"+
    "\1\54\1\55\1\0\1\54\1\56\1\271\1\60\30\0"+
    "\1\61\63\0\1\272\14\0\1\272\44\0\1\273\15\0"+
    "\1\54\1\55\1\0\1\54\1\56\1\274\1\60\30\0"+
    "\1\61\62\0\1\275\56\0\1\276\30\0\1\277\41\0"+
    "\1\277\52\0\1\222\22\0\1\300\35\0\1\234\56\0"+
    "\1\224\24\0\1\301\17\0\1\222\25\0\1\222\36\0"+
    "\1\226\22\0\1\226\1\0\1\226\7\0\1\302\14\0"+
    "\1\303\63\0\1\230\25\0\1\230\12\0\1\304\33\0"+
    "\1\305\56\0\1\232\26\0\1\306\30\0\1\307\57\0"+
    "\1\234\30\0\1\310\13\0\1\311\30\0\1\311\42\0"+
    "\1\236\31\0\1\312\36\0\1\313\56\0\1\314\14\0"+
    "\1\314\40\0\1\315\60\0\1\316\46\0\1\317\25\0"+
    "\1\317\27\0\1\320\64\0\1\321\71\0\1\322\64\0"+
    "\1\247\22\0\1\323\35\0\1\261\56\0\1\251\24\0"+
    "\1\324\17\0\1\247\25\0\1\247\36\0\1\253\22\0"+
    "\1\253\1\0\1\253\7\0\1\325\14\0\1\326\63\0"+
    "\1\255\25\0\1\255\12\0\1\327\33\0\1\330\56\0"+
    "\1\257\26\0\1\331\30\0\1\332\57\0\1\261\30\0"+
    "\1\333\13\0\1\334\30\0\1\334\42\0\1\263\31\0"+
    "\1\335\36\0\1\336\55\0\1\337\61\0\1\340\14\0"+
    "\1\340\37\0\1\341\66\0\1\133\21\0\1\342\53\0"+
    "\1\54\1\55\1\0\1\54\1\56\1\343\1\60\30\0"+
    "\1\61\60\0\1\344\46\0\1\345\25\0\1\345\5\0"+
    "\1\54\1\55\1\0\1\54\1\56\1\346\1\60\30\0"+
    "\1\61\46\0\1\347\25\0\1\347\23\0\1\64\42\0"+
    "\2\350\1\0\3\350\1\351\1\277\41\0\1\277\52\0"+
    "\1\234\42\0\1\222\25\0\1\222\27\0\1\303\43\0"+
    "\1\352\17\0\1\353\25\0\1\353\46\0\1\305\24\0"+
    "\1\354\26\0\1\355\62\0\1\307\27\0\1\356\27\0"+
    "\1\357\44\0\1\311\30\0\1\311\6\0\1\311\1\360"+
    "\1\0\1\311\1\361\1\311\1\362\6\0\1\363\107\0"+
    "\1\313\21\0\1\364\25\0\1\365\64\0\1\366\62\0"+
    "\1\367\35\0\1\112\42\0\1\370\2\0\1\370\1\0"+
    "\1\370\1\371\107\0\1\372\44\0\1\373\30\0\1\373"+
    "\24\0\1\10\105\0\1\261\42\0\1\247\25\0\1\247"+
    "\27\0\1\326\43\0\1\374\17\0\1\375\25\0\1\375"+
    "\46\0\1\330\24\0\1\376\26\0\1\377\62\0\1\332"+
    "\27\0\1\u0100\27\0\1\u0101\44\0\1\334\30\0\1\334"+
    "\6\0\1\334\1\u0102\1\0\1\334\1\u0103\1\334\1\u0104"+
    "\6\0\1\u0105\107\0\1\336\21\0\1\u0106\25\0\1\u0107"+
    "\46\0\1\u0108\61\0\1\u0109\61\0\1\u010a\42\0\1\u010b"+
    "\53\0\1\54\1\55\1\0\1\54\1\56\1\343\1\60"+
    "\12\0\1\u010c\15\0\1\61\3\0\1\u010d\6\0\1\u010e"+
    "\24\0\1\54\42\0\1\u010f\2\0\1\u010f\1\0\1\u010f"+
    "\1\u0110\52\0\1\54\1\55\1\0\1\54\1\56\1\u0111"+
    "\1\60\30\0\1\61\20\0\21\347\1\u0112\37\347\1\0"+
    "\2\350\1\0\3\350\1\351\12\0\1\u0113\13\0\1\u0114"+
    "\14\0\1\u0113\43\0\1\u0115\50\0\1\353\25\0\1\353"+
    "\12\0\1\u0116\33\0\1\234\53\0\1\355\31\0\1\u0117"+
    "\23\0\1\156\22\0\1\156\1\0\1\156\37\0\1\357"+
    "\30\0\1\u0118\17\0\1\311\25\0\1\311\4\0\1\u0119"+
    "\1\360\2\0\1\u011a\1\0\1\360\1\u011b\12\u0119\1\u011c"+
    "\20\u0119\1\u011d\14\u0119\1\u011d\1\u0119\2\360\1\0\1\u011a"+
    "\1\0\1\360\1\u011b\12\u0119\1\u011c\20\u0119\1\u011d\14\u0119"+
    "\1\u011d\36\0\1\u011e\23\0\1\363\1\u011a\1\0\1\363"+
    "\1\u011f\1\363\1\u0120\105\0\1\365\32\0\1\u0121\21\0"+
    "\1\234\47\0\1\106\67\0\1\u0122\25\0\1\u0122\5\0"+
    "\1\370\2\0\1\370\1\0\1\370\1\371\15\0\1\u0123"+
    "\71\0\1\u0124\31\0\1\43\113\0\1\u0125\44\0\1\375"+
    "\25\0\1\375\12\0\1\u0126\33\0\1\261\53\0\1\377"+
    "\31\0\1\u0127\23\0\1\201\22\0\1\201\1\0\1\201"+
    "\37\0\1\u0101\30\0\1\u0128\17\0\1\334\25\0\1\334"+
    "\4\0\2\u0129\4\0\35\u0129\1\u012a\14\u0129\1\u012a\2\u0129"+
    "\1\u0102\3\0\35\u0129\1\u012a\14\u0129\1\u012a\36\0\1\u012b"+
    "\23\0\1\u0105\1\40\1\0\1\u0105\1\41\1\u0105\1\u012c"+
    "\105\0\1\u0107\32\0\1\u012d\21\0\1\261\31\0\1\u0108"+
    "\2\0\1\u0108\1\0\1\u0108\10\0\1\u012e\77\0\1\u012f"+
    "\54\0\1\205\22\0\1\205\1\0\1\205\7\0\1\u010b"+
    "\13\0\1\u0130\72\0\1\u0131\5\0\1\u0132\40\0\1\u0133"+
    "\30\0\1\u0133\41\0\1\u0131\25\0\1\u010f\2\0\1\u010f"+
    "\1\0\1\u010f\1\u0110\15\0\1\u0134\71\0\1\u0135\23\0"+
    "\1\54\1\55\1\0\1\54\1\56\1\u0111\1\60\12\0"+
    "\1\u0136\15\0\1\61\3\0\1\u010d\6\0\1\u010e\53\0"+
    "\1\u0137\51\0\1\u0138\44\0\1\u0139\77\0\1\234\50\0"+
    "\1\156\22\0\1\156\1\0\1\156\27\0\1\311\25\0"+
    "\1\311\4\0\2\u0119\4\0\35\u0119\1\u011d\14\u0119\1\u011d"+
    "\1\0\1\u011a\2\0\1\u011a\1\0\1\u011a\1\u013a\12\0"+
    "\1\u013b\36\0\2\u0119\4\0\30\u0119\1\u013c\4\u0119\1\u011d"+
    "\14\u0119\1\u011d\2\u0119\4\0\34\u0119\1\u013d\1\u011d\14\u0119"+
    "\1\u011d\2\u0119\4\0\20\u0119\1\u013e\14\u0119\1\u011d\10\u0119"+
    "\1\u013e\3\u0119\1\u011d\23\0\1\u013f\36\0\2\u011a\1\0"+
    "\1\u011a\1\0\1\u011a\1\u013a\12\0\1\u013b\74\0\1\u0140"+
    "\52\0\1\234\51\0\1\34\71\0\1\u0141\22\0\1\u0141"+
    "\1\0\1\u0141\24\0\1\u0142\65\0\1\u0143\72\0\1\261"+
    "\50\0\1\201\22\0\1\201\1\0\1\201\27\0\1\334"+
    "\25\0\1\334\4\0\2\u0129\4\0\20\u0129\1\u0144\14\u0129"+
    "\1\u012a\10\u0129\1\u0144\3\u0129\1\u012a\23\0\1\u0145\73\0"+
    "\1\u0146\52\0\1\261\70\0\1\u0147\27\0\1\133\113\0"+
    "\1\u0148\52\0\1\u0149\70\0\1\u014a\37\0\1\u014b\67\0"+
    "\1\u014c\22\0\1\u014c\1\0\1\u014c\24\0\1\u014d\71\0"+
    "\1\u0131\5\0\1\u0148\64\0\1\u014e\56\0\1\u014f\57\0"+
    "\1\u0150\14\0\1\u0150\36\0\1\u0151\64\0\1\u0152\16\0"+
    "\2\u0119\4\0\15\u0119\1\u0153\17\u0119\1\u011d\14\u0119\1\u011d"+
    "\2\u0119\4\0\35\u0119\1\u011d\1\u0154\13\u0119\1\u011d\2\u0119"+
    "\4\0\22\u0119\1\u0155\12\u0119\1\u011d\14\u0119\1\u011d\43\0"+
    "\1\u0156\14\0\1\u0156\23\0\1\u0157\36\0\1\u0158\2\0"+
    "\1\u0158\1\0\1\u0158\1\u0159\114\0\1\u015a\14\0\1\u015a"+
    "\1\0\1\u015b\2\0\1\u015b\1\0\1\u015b\10\0\1\u015c"+
    "\41\0\2\u0129\4\0\22\u0129\1\u015d\12\u0129\1\u012a\14\u0129"+
    "\1\u012a\43\0\1\u015e\14\0\1\u015e\23\0\1\u015f\100\0"+
    "\1\u0160\14\0\1\u0160\44\0\1\u0161\25\0\1\u0162\14\0"+
    "\1\u0163\25\0\1\u0163\12\0\1\u0164\2\0\1\u0164\20\0"+
    "\1\u0165\22\0\1\u0165\1\0\1\u0165\27\0\1\u0166\25\0"+
    "\1\u0166\5\0\1\u0167\2\0\1\u0167\1\0\1\u0167\1\u0168"+
    "\114\0\1\u0169\14\0\1\u0169\26\0\1\u016a\25\0\1\u016a"+
    "\57\0\2\u016b\44\0\1\u016c\43\0\1\u016d\101\0\1\u016e"+
    "\14\0\2\u0119\4\0\35\u0119\1\u016f\14\u0119\1\u016f\2\u0119"+
    "\4\0\1\u0170\2\u0119\1\u0170\20\u0119\1\u0171\10\u0119\1\u011d"+
    "\11\u0119\1\u0171\1\u0119\1\u0171\1\u011d\2\u0119\4\0\35\u0119"+
    "\1\u011d\1\u0119\1\u0172\12\u0119\1\u011d\40\0\1\u0173\63\0"+
    "\1\u0174\14\0\1\u0174\1\0\1\u0158\2\0\1\u0158\1\0"+
    "\1\u0158\1\u0159\30\0\1\u0175\56\0\1\u0176\62\0\1\u0177"+
    "\21\0\1\u015b\2\0\1\u015b\1\0\1\u015b\10\0\1\u015c"+
    "\17\0\1\u0178\61\0\1\u0179\20\0\2\u0129\4\0\35\u0129"+
    "\1\u012a\1\u0129\1\u017a\12\u0129\1\u012a\40\0\1\u017b\63\0"+
    "\1\u017c\14\0\1\u017c\23\0\1\u017d\43\0\1\u017e\2\0"+
    "\1\u017e\20\0\1\u017f\22\0\1\u017f\1\0\1\u017f\2\0"+
    "\1\u0162\2\0\1\u0162\1\0\1\u0162\1\u0180\6\u0181\4\0"+
    "\14\u0181\1\u0182\13\u0181\1\0\3\u0181\33\0\1\u0183\31\0"+
    "\1\u0164\2\0\1\u0164\1\0\1\u0164\1\u0184\4\0\2\u0185"+
    "\67\0\1\u0186\70\0\1\u0187\25\0\1\u0167\2\0\1\u0167"+
    "\1\0\1\u0167\1\u0168\30\0\1\u0188\56\0\1\u0189\62\0"+
    "\1\u018a\62\0\1\u018b\17\0\1\u018c\2\0\1\u018c\1\0"+
    "\1\u018c\1\u018d\70\0\1\350\104\0\1\u018e\14\0\1\u018e"+
    "\6\0\1\u018f\2\0\1\u018f\20\0\1\u0190\22\0\1\u0190"+
    "\1\0\1\u0190\1\0\2\u0119\4\0\20\u0119\1\u013e\11\u0119"+
    "\1\u0191\2\u0119\1\u011d\10\u0119\1\u013e\3\u0119\1\u011d\1\u0119"+
    "\1\u0170\2\0\1\u018f\1\0\1\u0170\1\u0192\4\u0119\1\u0193"+
    "\26\u0119\1\u011d\1\u0119\1\u0194\12\u0119\1\u011d\2\u0119\4\0"+
    "\16\u0119\1\u0195\16\u0119\1\u011d\14\u0119\1\u011d\2\u0119\4\0"+
    "\20\u0119\1\u0196\14\u0119\1\u011d\10\u0119\1\u0196\3\u0119\1\u011d"+
    "\17\0\1\311\101\0\1\u0197\62\0\1\u0198\41\0\1\u0199"+
    "\54\0\1\370\105\0\1\u019a\57\0\1\u019b\14\0\1\u019b"+
    "\2\u0129\4\0\20\u0129\1\u019c\14\u0129\1\u012a\10\u0129\1\u019c"+
    "\3\u0129\1\u012a\17\0\1\334\101\0\1\u019d\56\0\1\u019e"+
    "\23\0\1\u017e\2\0\1\u017e\1\0\1\u017e\1\u019f\4\0"+
    "\2\u01a0\67\0\1\u01a1\72\0\1\u01a2\23\0\1\u01a3\1\u01a4"+
    "\1\0\1\u01a3\1\u01a5\1\u01a3\1\u01a6\6\u0181\4\0\30\u0181"+
    "\1\0\3\u0181\4\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5"+
    "\1\u01a3\1\u01a6\1\u0181\1\u01a7\4\u0181\4\0\23\u0181\1\u01a8"+
    "\4\u0181\1\0\3\u0181\25\0\1\u01a9\30\0\1\u01a9\43\0"+
    "\1\u01aa\23\0\1\u01ab\1\u01a4\1\0\1\u01ab\1\u01a5\1\u01ab"+
    "\1\u01ac\1\u01ad\1\u01a3\1\0\3\u01ae\5\0\1\u01af\1\0"+
    "\1\u01b0\10\0\1\u01b1\1\u01b2\1\0\1\u01b3\1\0\1\u01b4"+
    "\1\u01b5\1\u01b6\1\u01b7\3\0\1\u01ad\5\0\1\u01b4\37\0"+
    "\1\u01b8\55\0\1\u01b9\66\0\1\u01ba\41\0\1\u01bb\54\0"+
    "\1\u010f\105\0\1\u01bc\15\0\1\u018c\2\0\1\u018c\1\0"+
    "\1\u018c\1\u018d\32\0\1\u01bd\54\0\1\u01be\62\0\1\u01bf"+
    "\21\0\1\u018f\2\0\1\u018f\1\0\1\u018f\1\u01c0\4\0"+
    "\1\u01c1\30\0\1\u01c2\37\0\1\u01c3\34\0\2\u0119\4\0"+
    "\11\u0119\1\360\23\u0119\1\u011d\14\u0119\1\u011d\2\u0119\4\0"+
    "\30\u0119\1\u01c4\4\u0119\1\u011d\14\u0119\1\u011d\2\u01c5\3\u01c6"+
    "\1\u01c7\5\u01c5\3\u0119\4\u01c5\21\u0119\1\u011d\5\u0119\2\u01c5"+
    "\4\u0119\1\u01c5\1\u01c8\2\u0119\4\0\30\u0119\1\u01c9\4\u0119"+
    "\1\u011d\14\u0119\1\u011d\2\u0119\4\0\31\u0119\1\u01ca\3\u0119"+
    "\1\u011d\14\u0119\1\u011d\2\u0119\4\0\30\u0119\1\u01cb\4\u0119"+
    "\1\u011d\14\u0119\1\u011d\17\0\1\363\100\0\1\u01cc\64\0"+
    "\1\u01cd\14\0\1\u01cd\22\0\1\u01ce\30\0\1\u01ce\30\0"+
    "\1\u01cf\35\0\2\u0129\4\0\30\u0129\1\u01d0\4\u0129\1\u012a"+
    "\14\u0129\1\u012a\17\0\1\u0105\50\0\1\u0108\107\0\1\u01d1"+
    "\23\0\1\u01d2\1\30\1\0\1\u01d2\1\u01d3\1\u01d2\1\u01d4"+
    "\1\u01d5\1\u01d6\1\0\3\u01d7\5\0\1\u01d8\1\0\1\u01d9"+
    "\10\0\1\u01da\1\u01db\1\0\1\u01dc\1\0\1\u01dd\1\u01de"+
    "\1\u01df\1\u01e0\3\0\1\u01d5\5\0\1\u01dd\37\0\1\u01e1"+
    "\44\0\1\u01e2\36\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5"+
    "\1\u01a3\1\u01a6\53\0\1\u01a4\114\0\1\u01e3\23\0\1\u01a7"+
    "\1\u01a4\1\0\1\u01a7\1\u01a5\1\u01a7\1\u01e4\6\u0181\4\0"+
    "\30\u0181\1\0\3\u0181\4\0\1\u01a3\1\u01a4\1\0\1\u01a3"+
    "\1\u01a5\1\u01a3\1\u01a6\6\u0181\4\0\13\u0181\1\u01e5\14\u0181"+
    "\1\0\3\u0181\47\0\1\u01e6\37\0\1\u01e7\36\0\1\u01ab"+
    "\1\u01a4\1\0\1\u01ab\1\u01a5\1\u01ab\1\u01ac\1\u01ad\12\0"+
    "\1\u01af\1\0\1\u01b0\10\0\1\u01b1\1\u01b2\1\0\1\u01b3"+
    "\1\0\1\u01b4\1\u01b5\1\u01b6\1\u01b7\3\0\1\u01ad\5\0"+
    "\1\u01b4\36\0\1\u01e8\23\0\1\u01ad\2\0\1\u01ad\1\0"+
    "\1\u01ad\1\u01e9\13\0\1\u01af\1\0\1\u01b0\10\0\1\u01b1"+
    "\1\u01b2\1\0\1\u01b3\1\0\1\u01b4\1\u01b5\1\u01b6\1\u01b7"+
    "\11\0\1\u01b4\1\0\1\u01ab\1\u01a4\1\0\1\u01ab\1\u01a5"+
    "\1\u01ab\1\u01ac\1\u01ad\1\u01a3\1\0\3\u01ea\5\0\1\u01af"+
    "\1\0\1\u01b0\10\0\1\u01b1\1\u01b2\1\0\1\u01b3\1\0"+
    "\1\u01b4\1\u01b5\1\u01b6\1\u01b7\3\0\1\u01ad\5\0\1\u01b4"+
    "\32\0\1\u01eb\22\0\1\u01eb\1\0\1\u01eb\27\0\1\u01ec"+
    "\16\0\1\u01ed\6\0\1\u01ec\43\0\1\u01ee\45\0\1\u01ef"+
    "\101\0\1\u01f0\41\0\1\u01f1\25\0\1\u01f1\32\0\1\u01f2"+
    "\25\0\1\u01f2\42\0\1\u01f3\54\0\1\u01f4\22\0\1\u01f4"+
    "\1\0\1\u01f4\35\0\1\u01f5\46\0\1\u0162\30\0\1\u0162"+
    "\44\0\1\u01f6\64\0\1\u01f7\14\0\1\u01f7\26\0\1\u01f8"+
    "\25\0\1\u01f8\32\0\1\u01f9\25\0\1\u01f9\27\0\1\u01fa"+
    "\54\0\1\u011a\77\0\1\u01fb\22\0\5\u01c6\1\u01c7\5\u01c6"+
    "\3\0\4\u01c6\27\0\2\u01c6\4\0\2\u01c6\36\0\1\u01fc"+
    "\61\0\1\u01fd\21\0\2\u0119\4\0\15\u0119\1\u01fe\17\u0119"+
    "\1\u011d\14\u0119\1\u011d\2\0\1\u01c6\56\0\2\u0119\4\0"+
    "\24\u0119\1\u01ff\10\u0119\1\u011d\11\u0119\1\u01ff\1\u0119\1\u01ff"+
    "\1\u011d\2\u0119\4\0\26\u0119\1\u0200\6\u0119\1\u011d\14\u0119"+
    "\1\u011d\2\u0119\4\0\35\u0119\1\u011d\1\u0201\13\u0119\1\u011d"+
    "\46\0\1\u0202\52\0\1\u0203\55\0\1\u0204\61\0\1\u0205"+
    "\22\0\2\u0129\4\0\35\u0129\1\u012a\1\u0206\13\u0129\1\u012a"+
    "\23\0\1\u0207\36\0\1\u01d2\1\30\1\0\1\u01d2\1\u01d3"+
    "\1\u01d2\1\u01d4\1\u01d5\12\0\1\u01d8\1\0\1\u01d9\10\0"+
    "\1\u01da\1\u01db\1\0\1\u01dc\1\0\1\u01dd\1\u01de\1\u01df"+
    "\1\u01e0\3\0\1\u01d5\5\0\1\u01dd\2\0\1\30\114\0"+
    "\1\u0208\23\0\1\u01d5\2\0\1\u01d5\1\0\1\u01d5\1\u0209"+
    "\13\0\1\u01d8\1\0\1\u01d9\10\0\1\u01da\1\u01db\1\0"+
    "\1\u01dc\1\0\1\u01dd\1\u01de\1\u01df\1\u01e0\11\0\1\u01dd"+
    "\1\0\1\u01d6\1\30\1\0\1\u01d6\1\u01d3\1\u01d6\1\u020a"+
    "\52\0\1\u01d2\1\30\1\0\1\u01d2\1\u01d3\1\u01d2\1\u01d4"+
    "\1\u01d5\1\u01d6\1\0\3\u020b\5\0\1\u01d8\1\0\1\u01d9"+
    "\10\0\1\u01da\1\u01db\1\0\1\u01dc\1\0\1\u01dd\1\u01de"+
    "\1\u01df\1\u01e0\3\0\1\u01d5\5\0\1\u01dd\32\0\1\u020c"+
    "\22\0\1\u020c\1\0\1\u020c\27\0\1\u020d\16\0\1\u020e"+
    "\6\0\1\u020d\43\0\1\u020f\45\0\1\u0210\101\0\1\u0211"+
    "\41\0\1\u0212\25\0\1\u0212\32\0\1\u0213\25\0\1\u0213"+
    "\42\0\1\u0214\54\0\1\u0215\22\0\1\u0215\1\0\1\u0215"+
    "\35\0\1\u0216\67\0\1\u0217\14\0\1\u0217\23\0\1\u0218"+
    "\73\0\1\u0219\23\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5"+
    "\1\u01a3\1\u01a6\1\u0181\1\u01a7\4\u0181\4\0\30\u0181\1\0"+
    "\3\u0181\42\0\1\u0162\64\0\1\u021a\14\0\1\u021a\23\0"+
    "\1\u021b\73\0\1\u021c\23\0\1\u01ab\1\u01a4\1\0\1\u01ab"+
    "\1\u01a5\1\u01ab\1\u01ac\1\u01ad\1\u01a3\1\0\3\u021d\5\0"+
    "\1\u01af\1\0\1\u01b0\10\0\1\u01b1\1\u01b2\1\0\1\u01b3"+
    "\1\0\1\u01b4\1\u01b5\1\u01b6\1\u01b7\3\0\1\u01ad\5\0"+
    "\1\u01b4\43\0\1\u021e\14\0\1\u021e\24\0\1\u021f\73\0"+
    "\1\u01f3\57\0\1\u0220\7\0\1\u0221\56\0\1\u0221\36\0"+
    "\1\u0222\7\0\1\u0223\20\0\1\u0222\1\0\1\u0223\1\0"+
    "\1\u0223\26\0\1\u0224\4\0\1\u0225\2\0\1\u0226\2\0"+
    "\1\u0227\6\0\1\u0228\5\0\1\u0225\1\0\1\u0225\43\0"+
    "\1\u0229\43\0\1\u022a\20\0\1\u022b\36\0\1\u022c\73\0"+
    "\1\u0164\67\0\1\u022d\52\0\1\u022e\56\0\1\u022f\47\0"+
    "\1\u0230\76\0\1\u0231\14\0\1\u0231\23\0\1\u0232\67\0"+
    "\1\u0233\22\0\1\u0233\1\0\1\u0233\35\0\1\u0234\24\0"+
    "\2\u0119\4\0\35\u0119\1\u0235\14\u0119\1\u0235\2\u0119\4\0"+
    "\16\u0119\1\u0236\16\u0119\1\u011d\14\u0119\1\u011d\2\u0119\4\0"+
    "\31\u0119\1\u0170\3\u0119\1\u011d\14\u0119\1\u011d\2\u0119\4\0"+
    "\20\u0119\1\u0237\14\u0119\1\u011d\10\u0119\1\u0237\3\u0119\1\u011d"+
    "\46\0\1\u0238\31\0\1\u0158\103\0\1\u0239\25\0\1\u015b"+
    "\51\0\2\u0129\4\0\20\u0129\1\u023a\14\u0129\1\u012a\10\u0129"+
    "\1\u023a\3\u0129\1\u012a\43\0\1\u023b\14\0\1\u023b\23\0"+
    "\1\u023c\73\0\1\u023d\60\0\1\u023e\23\0\1\u01d2\1\30"+
    "\1\0\1\u01d2\1\u01d3\1\u01d2\1\u01d4\1\u01d5\1\u01d6\1\0"+
    "\3\u023f\5\0\1\u01d8\1\0\1\u01d9\10\0\1\u01da\1\u01db"+
    "\1\0\1\u01dc\1\0\1\u01dd\1\u01de\1\u01df\1\u01e0\3\0"+
    "\1\u01d5\5\0\1\u01dd\43\0\1\u0240\14\0\1\u0240\24\0"+
    "\1\u0241\73\0\1\u0214\57\0\1\u0242\7\0\1\u0243\56\0"+
    "\1\u0243\36\0\1\u0244\7\0\1\u0245\20\0\1\u0244\1\0"+
    "\1\u0245\1\0\1\u0245\26\0\1\u0246\4\0\1\u0247\2\0"+
    "\1\u0248\2\0\1\u0249\6\0\1\u024a\5\0\1\u0247\1\0"+
    "\1\u0247\43\0\1\u024b\43\0\1\u024c\20\0\1\u024d\36\0"+
    "\1\u024e\73\0\1\u017e\61\0\1\u024f\63\0\1\u0250\14\0"+
    "\1\u0250\23\0\1\u0251\75\0\1\u0252\63\0\1\u0253\14\0"+
    "\1\u0253\23\0\1\u0254\36\0\1\u01ab\1\u01a4\1\0\1\u01ab"+
    "\1\u01a5\1\u01ab\1\u01ac\1\u01ad\1\u01a3\1\0\3\u0255\5\0"+
    "\1\u01af\1\0\1\u01b0\10\0\1\u01b1\1\u01b2\1\0\1\u01b3"+
    "\1\0\1\u01b4\1\u01b5\1\u01b6\1\u01b7\3\0\1\u01ad\5\0"+
    "\1\u01b4\1\0\1\u0256\1\u01a4\1\0\1\u0256\1\u01a5\1\u0256"+
    "\1\u0257\1\0\1\u0258\34\0\1\u022b\44\0\1\u0259\22\0"+
    "\1\u0259\1\0\1\u0259\33\0\1\u025a\22\0\1\u025a\1\0"+
    "\1\u025a\33\0\1\u025b\4\0\1\u025c\15\0\1\u025b\1\0"+
    "\1\u025b\43\0\1\u025d\1\0\1\u01b5\52\0\1\u025e\50\0"+
    "\1\u01ec\25\0\1\u01ec\32\0\1\u025f\25\0\1\u025f\32\0"+
    "\1\u0260\25\0\1\u0260\50\0\1\u0228\41\0\1\u0224\4\0"+
    "\1\u025b\22\0\1\u025b\1\0\1\u025b\2\0\1\u0261\1\u01a4"+
    "\1\0\1\u0261\1\u01a5\1\u0261\1\u0262\1\0\1\u0258\13\0"+
    "\1\u0224\20\0\1\u022b\40\0\1\u0263\25\0\1\u0263\36\0"+
    "\1\u01ec\22\0\1\u01ec\1\0\1\u01ec\33\0\1\u0264\22\0"+
    "\1\u0264\1\0\1\u0264\47\0\1\u0265\31\0\1\u0167\111\0"+
    "\1\u0266\32\0\1\u0267\30\0\1\u0267\45\0\1\u0268\63\0"+
    "\1\u0269\14\0\1\u0269\24\0\1\u026a\73\0\1\u018f\21\0"+
    "\2\u0119\4\0\20\u0119\1\u013e\11\u0119\1\u026b\2\u0119\1\u011d"+
    "\10\u0119\1\u013e\3\u0119\1\u011d\2\u0119\4\0\31\u0119\1\u01c5"+
    "\3\u0119\1\u011d\14\u0119\1\u011d\2\u0237\1\u011a\1\0\1\363"+
    "\1\u011f\53\u0237\26\0\1\u026c\25\0\1\u026c\43\0\1\u026d"+
    "\21\0\2\u023a\1\40\1\0\1\u0105\1\41\53\u023a\40\0"+
    "\1\u026e\63\0\1\u026f\14\0\1\u026f\23\0\1\u0270\60\0"+
    "\1\u0271\36\0\1\u01d2\1\30\1\0\1\u01d2\1\u01d3\1\u01d2"+
    "\1\u01d4\1\u01d5\1\u01d6\1\0\3\u0272\5\0\1\u01d8\1\0"+
    "\1\u01d9\10\0\1\u01da\1\u01db\1\0\1\u01dc\1\0\1\u01dd"+
    "\1\u01de\1\u01df\1\u01e0\3\0\1\u01d5\5\0\1\u01dd\1\0"+
    "\1\u0273\1\30\1\0\1\u0273\1\u01d3\1\u0273\1\u0274\1\0"+
    "\1\u0275\34\0\1\u024d\44\0\1\u0276\22\0\1\u0276\1\0"+
    "\1\u0276\33\0\1\u0277\22\0\1\u0277\1\0\1\u0277\33\0"+
    "\1\u0278\4\0\1\u0279\15\0\1\u0278\1\0\1\u0278\43\0"+
    "\1\u027a\1\0\1\u01de\52\0\1\u027b\50\0\1\u020d\25\0"+
    "\1\u020d\32\0\1\u027c\25\0\1\u027c\32\0\1\u027d\25\0"+
    "\1\u027d\50\0\1\u024a\41\0\1\u0246\4\0\1\u0278\22\0"+
    "\1\u0278\1\0\1\u0278\2\0\1\u027e\1\30\1\0\1\u027e"+
    "\1\u01d3\1\u027e\1\u027f\1\0\1\u0275\13\0\1\u0246\20\0"+
    "\1\u024d\40\0\1\u0280\25\0\1\u0280\36\0\1\u020d\22\0"+
    "\1\u020d\1\0\1\u020d\33\0\1\u0281\22\0\1\u0281\1\0"+
    "\1\u0281\20\0\1\u0162\101\0\1\u0282\63\0\1\u0283\14\0"+
    "\1\u0283\17\0\1\u0164\101\0\1\u0284\63\0\1\u0285\14\0"+
    "\1\u0285\1\0\1\u01ab\1\u01a4\1\0\1\u01ab\1\u01a5\1\u01ab"+
    "\1\u01ac\1\u01ad\1\u01a3\11\0\1\u01af\1\0\1\u01b0\10\0"+
    "\1\u01b1\1\u01b2\1\0\1\u01b3\1\0\1\u01b4\1\u01b5\1\u01b6"+
    "\1\u01b7\3\0\1\u01ad\5\0\1\u01b4\1\0\1\u0256\1\u01a4"+
    "\1\0\1\u0256\1\u01a5\1\u0256\1\u0257\36\0\1\u022b\50\0"+
    "\1\u0286\23\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5\1\u01a3"+
    "\1\u01a6\4\0\2\u0287\71\0\1\u0288\25\0\1\u0288\32\0"+
    "\1\u0289\25\0\1\u0289\32\0\1\u028a\25\0\1\u028a\31\0"+
    "\1\u0224\77\0\1\u028b\41\0\1\u0224\13\0\1\u028c\4\0"+
    "\1\u022b\55\0\1\u028d\14\0\1\u028d\34\0\1\u021e\25\0"+
    "\1\u0261\1\u01a4\1\0\1\u0261\1\u01a5\1\u0261\1\u0262\15\0"+
    "\1\u0224\20\0\1\u022b\50\0\1\u028e\46\0\1\u021f\21\0"+
    "\1\u022b\40\0\1\u028f\25\0\1\u028f\32\0\1\u0290\25\0"+
    "\1\u0290\54\0\1\u0291\27\0\1\u018c\101\0\1\u0292\57\0"+
    "\1\u01c6\21\0\2\u0119\4\0\11\u0119\1\u0170\23\u0119\1\u011d"+
    "\14\u0119\1\u011d\25\0\1\u0293\62\0\1\u0294\50\0\1\u017e"+
    "\101\0\1\u0295\63\0\1\u0296\14\0\1\u0296\43\0\1\u0297"+
    "\14\0\1\u0297\1\0\1\u01d2\1\30\1\0\1\u01d2\1\u01d3"+
    "\1\u01d2\1\u01d4\1\u01d5\1\u01d6\11\0\1\u01d8\1\0\1\u01d9"+
    "\10\0\1\u01da\1\u01db\1\0\1\u01dc\1\0\1\u01dd\1\u01de"+
    "\1\u01df\1\u01e0\3\0\1\u01d5\5\0\1\u01dd\1\0\1\u0273"+
    "\1\30\1\0\1\u0273\1\u01d3\1\u0273\1\u0274\36\0\1\u024d"+
    "\50\0\1\u0298\23\0\1\u01d6\1\30\1\0\1\u01d6\1\u01d3"+
    "\1\u01d6\1\u020a\4\0\2\u0299\71\0\1\u029a\25\0\1\u029a"+
    "\32\0\1\u029b\25\0\1\u029b\32\0\1\u029c\25\0\1\u029c"+
    "\31\0\1\u0246\77\0\1\u029d\41\0\1\u0246\13\0\1\u029e"+
    "\4\0\1\u024d\55\0\1\u029f\14\0\1\u029f\34\0\1\u0240"+
    "\25\0\1\u027e\1\30\1\0\1\u027e\1\u01d3\1\u027e\1\u027f"+
    "\15\0\1\u0246\20\0\1\u024d\50\0\1\u02a0\46\0\1\u0241"+
    "\21\0\1\u024d\40\0\1\u02a1\25\0\1\u02a1\23\0\1\u01a3"+
    "\101\0\1\u02a2\37\0\1\u01ab\101\0\1\u02a3\43\0\1\u02a4"+
    "\36\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5\1\u01a3\1\u01a6"+
    "\1\0\1\u01a3\105\0\1\u0289\4\0\1\u02a5\14\0\1\u02a5"+
    "\43\0\1\u02a5\14\0\1\u02a5\36\0\1\u0289\4\0\1\u02a6"+
    "\14\0\1\u02a6\26\0\1\u02a7\25\0\1\u02a7\51\0\1\u02a8"+
    "\14\0\1\u028d\2\0\1\u028d\1\0\1\u028d\1\u02a9\15\0"+
    "\1\u0224\56\0\1\u02aa\73\0\1\u02ab\4\0\1\u02ac\14\0"+
    "\1\u02ac\25\0\1\u02ad\65\0\1\u02ae\22\0\1\u02ae\1\0"+
    "\1\u02ae\20\0\1\u018f\73\0\1\u02af\22\0\1\u02af\1\0"+
    "\1\u02af\2\0\1\u02b0\2\0\1\u02b0\1\0\1\u02b0\10\0"+
    "\1\u02b1\60\0\1\u01d2\101\0\1\u02b2\60\0\1\u02b3\43\0"+
    "\1\u02b4\36\0\1\u01d6\1\30\1\0\1\u01d6\1\u01d3\1\u01d6"+
    "\1\u020a\1\0\1\u01d6\105\0\1\u029b\4\0\1\u02b5\14\0"+
    "\1\u02b5\43\0\1\u02b5\14\0\1\u02b5\36\0\1\u029b\4\0"+
    "\1\u02b6\14\0\1\u02b6\26\0\1\u02b7\25\0\1\u02b7\51\0"+
    "\1\u02b8\14\0\1\u029f\2\0\1\u029f\1\0\1\u029f\1\u02b9"+
    "\15\0\1\u0246\56\0\1\u02ba\73\0\1\u02bb\4\0\1\u02bc"+
    "\14\0\1\u02bc\17\0\1\u01a7\60\0\1\u01ad\104\0\1\u02bd"+
    "\14\0\1\u02bd\1\0\1\u01a3\1\u01a4\1\0\1\u01a3\1\u01a5"+
    "\1\u01a3\1\u01a6\1\0\1\u0258\50\0\1\u02be\1\u01a4\1\0"+
    "\1\u02be\1\u01a5\1\u02be\1\u02bf\1\0\1\u0258\13\0\1\u0224"+
    "\75\0\1\u02a5\50\0\1\u02c0\22\0\1\u02c0\1\0\1\u02c0"+
    "\37\0\1\u02c1\65\0\1\u02c2\14\0\1\u02c2\43\0\1\u02ac"+
    "\14\0\1\u02ac\1\0\1\u02c3\1\u01a4\1\0\1\u02c3\1\u01a5"+
    "\1\u02c3\1\u02c4\1\0\1\u0258\11\0\1\u02c5\15\0\1\u02c6"+
    "\1\0\1\u02c7\1\u028b\13\0\1\u02c7\32\0\1\u02c8\22\0"+
    "\1\u02c8\1\0\1\u02c8\40\0\1\u02c9\56\0\1\u02ca\24\0"+
    "\1\u02b0\2\0\1\u02b0\1\0\1\u02b0\10\0\1\u02b1\16\0"+
    "\1\u02cb\62\0\1\u02cc\37\0\1\u01d5\60\0\1\u01d6\104\0"+
    "\1\u02cd\14\0\1\u02cd\1\0\1\u01d6\1\30\1\0\1\u01d6"+
    "\1\u01d3\1\u01d6\1\u020a\1\0\1\u0275\50\0\1\u02ce\1\30"+
    "\1\0\1\u02ce\1\u01d3\1\u02ce\1\u02cf\1\0\1\u0275\13\0"+
    "\1\u0246\75\0\1\u02b5\50\0\1\u02d0\22\0\1\u02d0\1\0"+
    "\1\u02d0\37\0\1\u02d1\65\0\1\u02d2\14\0\1\u02d2\43\0"+
    "\1\u02bc\14\0\1\u02bc\1\0\1\u02d3\1\30\1\0\1\u02d3"+
    "\1\u01d3\1\u02d3\1\u02d4\1\0\1\u0275\11\0\1\u02d5\15\0"+
    "\1\u02d6\1\0\1\u02d7\1\u029d\13\0\1\u02d7\40\0\1\u02d8"+
    "\21\0\1\u02be\1\u01a4\1\0\1\u02be\1\u01a5\1\u02be\1\u02bf"+
    "\15\0\1\u0224\71\0\1\u02d9\50\0\1\u02da\25\0\1\u02da"+
    "\27\0\1\u02db\75\0\1\u02dc\21\0\1\u02c3\1\u01a4\1\0"+
    "\1\u02c3\1\u01a5\1\u02c3\1\u02c4\13\0\1\u02c5\15\0\1\u02c6"+
    "\1\0\1\u02c7\1\u028b\13\0\1\u02c7\36\0\1\u02dd\54\0"+
    "\1\u0289\22\0\1\u0289\1\0\1\u0289\46\0\1\u02de\41\0"+
    "\1\u02df\25\0\1\u02df\41\0\1\u02e0\61\0\1\u02e1\50\0"+
    "\1\u02e2\25\0\1\u02e2\36\0\1\u02e3\22\0\1\u02e3\1\0"+
    "\1\u02e3\44\0\1\u02e4\14\0\1\u02e4\40\0\1\u02e5\21\0"+
    "\1\u02ce\1\30\1\0\1\u02ce\1\u01d3\1\u02ce\1\u02cf\15\0"+
    "\1\u0246\71\0\1\u02e6\50\0\1\u02e7\25\0\1\u02e7\27\0"+
    "\1\u02e8\75\0\1\u02e9\21\0\1\u02d3\1\30\1\0\1\u02d3"+
    "\1\u01d3\1\u02d3\1\u02d4\13\0\1\u02d5\15\0\1\u02d6\1\0"+
    "\1\u02d7\1\u029d\13\0\1\u02d7\36\0\1\u02ea\54\0\1\u029b"+
    "\22\0\1\u029b\1\0\1\u029b\46\0\1\u02eb\41\0\1\u02ec"+
    "\25\0\1\u02ec\23\0\1\u0256\64\0\1\u02ed\73\0\1\u01eb"+
    "\4\0\1\u0229\14\0\1\u0229\43\0\1\u02ee\14\0\1\u02ee"+
    "\17\0\1\u0261\64\0\1\u02ef\57\0\1\u025d\7\0\1\u02f0"+
    "\20\0\1\u025d\1\0\1\u02f0\1\0\1\u02f0\36\0\1\u02f1"+
    "\51\0\1\u02f2\25\0\1\u02f2\26\0\1\u02f3\30\0\1\u02f3"+
    "\43\0\1\u02f4\23\0\1\u02f5\2\0\1\u02f5\1\0\1\u02f5"+
    "\10\0\1\u02f6\64\0\1\u02f7\54\0\1\u0273\64\0\1\u02f8"+
    "\73\0\1\u020c\4\0\1\u024b\14\0\1\u024b\43\0\1\u02f9"+
    "\14\0\1\u02f9\17\0\1\u027e\64\0\1\u02fa\57\0\1\u027a"+
    "\7\0\1\u02fb\20\0\1\u027a\1\0\1\u02fb\1\0\1\u02fb"+
    "\36\0\1\u02fc\66\0\1\u02fd\14\0\1\u02fd\40\0\1\u02fe"+
    "\63\0\1\u02ff\14\0\1\u02ff\36\0\1\u0300\50\0\1\u0301"+
    "\25\0\1\u0301\42\0\1\u0302\56\0\1\u0303\70\0\1\u0304"+
    "\15\0\1\u02f5\2\0\1\u02f5\1\0\1\u02f5\10\0\1\u02f6"+
    "\17\0\1\u0305\61\0\1\u0306\56\0\1\u0307\65\0\1\u0308"+
    "\14\0\1\u0308\40\0\1\u0309\63\0\1\u030a\14\0\1\u030a"+
    "\36\0\1\u030b\50\0\1\u030c\25\0\1\u030c\44\0\1\u030d"+
    "\37\0\1\u028d\101\0\1\u030e\61\0\1\u030f\53\0\1\u02a5"+
    "\70\0\1\u0310\70\0\2\u0266\42\0\1\u0311\65\0\1\u0312"+
    "\57\0\1\u0313\14\0\1\u0313\7\0\1\u02b0\111\0\1\u0314"+
    "\37\0\1\u029f\101\0\1\u0315\61\0\1\u0316\53\0\1\u02b5"+
    "\43\0\1\u02be\60\0\1\u02c3\106\0\1\u021f\52\0\1\u0317"+
    "\22\0\1\u0318\2\0\1\u0318\1\0\1\u0318\1\u0319\107\0"+
    "\1\u031a\45\0\1\u031b\54\0\1\u02ce\60\0\1\u02d3\106\0"+
    "\1\u0241\14\0\1\u031c\2\0\1\u031c\1\0\1\u031c\1\u031d"+
    "\52\0\1\u0318\2\0\1\u0318\1\0\1\u0318\1\u0319\22\0"+
    "\1\u031e\22\0\1\u031e\1\0\1\u031e\37\0\1\u031f\50\0"+
    "\1\u0320\25\0\1\u0320\42\0\1\u0321\23\0\1\u031c\2\0"+
    "\1\u031c\1\0\1\u031c\1\u031d\22\0\1\u0322\22\0\1\u0322"+
    "\1\0\1\u0322\37\0\1\u0323\60\0\1\u0324\45\0\1\u0325"+
    "\72\0\1\u0326\32\0\1\u02f5\107\0\1\u0327\45\0\1\u0328"+
    "\36\0\1\u0329\2\0\1\u0329\1\0\1\u0329\1\u032a\114\0"+
    "\1\u032b\14\0\1\u032b\32\0\1\u032c\22\0\1\u032c\1\0"+
    "\1\u032c\2\0\1\u032d\2\0\1\u032d\1\0\1\u032d\1\u032e"+
    "\114\0\1\u032f\14\0\1\u032f\1\0\1\u0329\2\0\1\u0329"+
    "\1\0\1\u0329\1\u032a\17\0\1\u0330\67\0\1\u0331\62\0"+
    "\1\u0332\45\0\1\u0333\34\0\1\u032d\2\0\1\u032d\1\0"+
    "\1\u032d\1\u032e\17\0\1\u0334\67\0\1\u0335\62\0\1\u0336"+
    "\57\0\1\u0337\44\0\1\u0338\54\0\1\u0318\67\0\1\u0339"+
    "\25\0\1\u0339\43\0\1\u033a\44\0\1\u033b\54\0\1\u031c"+
    "\103\0\1\u033c\61\0\1\u033d\14\0\1\u033d\46\0\1\u033e"+
    "\54\0\1\u033f\61\0\1\u0340\14\0\1\u0340\35\0\1\u0341"+
    "\63\0\1\u0342\66\0\1\u0343\47\0\1\u0344\63\0\1\u0345"+
    "\42\0\1\u0346\30\0\1\u0346\24\0\1\u0329\100\0\1\u0347"+
    "\43\0\1\u0348\30\0\1\u0348\24\0\1\u032d\105\0\1\u0349"+
    "\56\0\1\u034a\62\0\1\u034b\53\0\1\u034c\61\0\1\u034d"+
    "\57\0\1\u034e\22\0\1\u034f\2\0\1\u034f\1\0\1\u034f"+
    "\1\u0350\52\0\1\u0351\2\0\1\u0351\1\0\1\u0351\10\0"+
    "\1\u0352\42\0\1\u0353\2\0\1\u0353\1\0\1\u0353\1\u0354"+
    "\52\0\1\u034f\2\0\1\u034f\1\0\1\u034f\1\u0350\20\0"+
    "\1\u0355\66\0\1\u0356\23\0\1\u0351\2\0\1\u0351\1\0"+
    "\1\u0351\10\0\1\u0352\12\0\1\u0357\22\0\1\u0357\1\0"+
    "\1\u0357\41\0\1\u0358\21\0\1\u0353\2\0\1\u0353\1\0"+
    "\1\u0353\1\u0354\20\0\1\u0359\66\0\1\u035a\64\0\1\u035b"+
    "\41\0\1\u035c\62\0\1\u035d\76\0\1\u035e\14\0\1\u035e"+
    "\42\0\1\u035f\41\0\1\u0360\57\0\1\u0361\30\0\1\u0361"+
    "\50\0\1\u0362\14\0\1\u0362\1\0\1\u0363\2\0\1\u0363"+
    "\1\0\1\u0363\10\0\1\u0364\64\0\1\u0365\57\0\1\u0366"+
    "\30\0\1\u0366\50\0\1\u0367\14\0\1\u0367\27\0\1\u0368"+
    "\71\0\1\u0369\21\0\1\u0363\2\0\1\u0363\1\0\1\u0363"+
    "\10\0\1\u0364\6\0\1\u036a\25\0\1\u036a\44\0\1\u036b"+
    "\56\0\1\u036c\51\0\1\u036d\71\0\1\u036e\52\0\1\u036f"+
    "\22\0\1\u036f\1\0\1\u036f\20\0\1\u034f\105\0\1\u0370"+
    "\57\0\1\u0371\14\0\1\u0371\7\0\1\u0351\103\0\1\u0372"+
    "\22\0\1\u0372\1\0\1\u0372\20\0\1\u0353\65\0\1\u0373"+
    "\76\0\1\u0374\41\0\1\u0375\61\0\1\u0376\73\0\1\u0377"+
    "\43\0\1\u0378\30\0\1\u0378\43\0\1\u0379\61\0\1\u037a"+
    "\22\0\1\u0377\2\0\1\u0377\1\0\1\u0377\1\u037b\111\0"+
    "\1\u0108\27\0\1\u0363\52\0\1\u037a\1\u037c\1\0\1\u037a"+
    "\1\u037d\1\u037a\1\u037e\107\0\1\u037f\24\0\1\u037c\114\0"+
    "\1\u0380\45\0\1\u0381\60\0\1\u0382\100\0\1\u0383\14\0"+
    "\1\u0383\43\0\1\u0384\14\0\1\u0384\40\0\1\u0385\60\0"+
    "\1\u0386\37\0\1\u0377\60\0\1\u037a\41\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[42973];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\11\0\1\11\12\1\1\11\2\1\1\11\1\1\1\11"+
    "\1\1\1\11\3\1\1\11\1\1\20\0\1\1\25\0"+
    "\1\1\271\0\2\1\4\0\1\1\11\0\1\11\221\0"+
    "\1\11\1\1\37\0\1\1\1\11\2\1\12\0\1\1"+
    "\222\0\1\11\u0110\0\1\1\4\0\1\11\1\1\11\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[902];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	PreGazzetta() { }
	
	private int lineNumber = 0;
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public PreGazzetta(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      if (zzMarkedPosL > zzStartRead) {
        switch (zzBufferL[zzMarkedPosL-1]) {
        case '\n':
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':  // fall through
          zzAtBOL = true;
          break;
        case '\r': 
          if (zzMarkedPosL < zzEndReadL)
            zzAtBOL = zzBufferL[zzMarkedPosL] != '\n';
          else if (zzAtEOF)
            zzAtBOL = false;
          else {
            boolean eof = zzRefill();
            zzMarkedPosL = zzMarkedPos;
            zzEndReadL = zzEndRead;
            zzBufferL = zzBuffer;
            if (eof) 
              zzAtBOL = false;
            else 
              zzAtBOL = zzBufferL[zzMarkedPosL] != '\n';
          }
          break;
        default:
          zzAtBOL = false;
        }
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      if (zzAtBOL)
        zzState = ZZ_LEXSTATE[zzLexicalState+1];
      else
        zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { //System.out.println("PreGAZZETTA: '" + yytext() + "'");
	output.append(yytext());
            }
          // fall through
          case 13: break;
          case 2:
            { lineNumber++;
	output.append(yytext());
            }
          // fall through
          case 14: break;
          case 3:
            { 
            }
          // fall through
          case 15: break;
          case 4:
            { output.append(yytext());
            }
          // fall through
          case 16: break;
          case 5:
            { System.out.print(yytext());
            }
          // fall through
          case 17: break;
          case 6:
            { output.append(yytext()); yybegin(0);
            }
          // fall through
          case 18: break;
          case 7:
            { output.append(yytext()); yybegin(inMrkPre);
            }
          // fall through
          case 19: break;
          case 8:
            { output.append("\n" + yytext());
            }
          // fall through
          case 20: break;
          case 9:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 7;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 8;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { output.append(yytext() + "\n");
            }
          // fall through
          case 21: break;
          case 10:
            { yybegin(inNota);
            }
          // fall through
          case 22: break;
          case 11:
            { output.append("<h:pre>" + yytext() + "</h:pre>");
            }
          // fall through
          case 23: break;
          case 12:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { output.append(yytext()); yybegin(inFormatoGrafico);
            }
          // fall through
          case 24: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java PreGazzetta [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        PreGazzetta scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new PreGazzetta(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
